Subject: Re: bug#64046: 30.0.50; Quoting in customize choice tags

From: Stefan Kangas <[email-masked]>
Date: Thu, 24 Aug 2023 23:14:06 +0200

> That indeed gives the same results for the cases discussed in this bug.
> I used substitute-command-keys because it was already being used in
> widget-choose before I installed my first change, which expanded its use
> there.  I don't know if there are cases covered by
> substitute-command-keys and not but substitute-quotes that are relevant
> for widget-choose; are there?

s-q only handles ` and ', while s-c-k handles full docstring syntax.

Does that help answer the question?

If we're not sure, the simplification is probably not worth it.